# -*- coding: utf-8 -*-

def index():
	return dict(message=T('Escolha o que quer amplificar:'))

@auth.requires_login()
def audio():
	response.flash = 'Mentira!'
	return dict(message='Envio de áudio ainda não é possível :/')

@auth.requires_login()
def video():
	response.flash = 'Mentira!'
	return dict(message='Envio de vídeo ainda não é possível :/')

@auth.requires_login()
def texto():
	response.flash = 'Amplifique textos!'

	form = SQLFORM(
		db.texto,
		labels = {
			'autor':"Autor",
			'conteudo':"Texto",
			'fonte':"Fonte",
			'licenca':"Licença",
		},
		col3 = {
			'autor':"O autor deve ser o usuário cadastrado no site",
			'conteudo':"Envie conteúdo próprio conforme as diretrizes do site. Não envie material protegido por leis de direitos autorais - pelo menos não aqui ;)",
			'fonte':"Opcional. Diga de onde veio este texto. Pode ser um link ou uma descrição em texto.",
			'licenca':"Entenda mais as licenças disponíveis no "+XML(A(SPAN('site do Creative Commons'), _href='http://creativecommons.org/licenses/?lang=pt_BR', _target='_blank')),
		},
		submit_button = 'Enviar',
		table_name = 'texto',
	).process(next=URL('texto'))

	if form.process().accepted:
		response.flash = 'Texto enviado!'
	elif form.errors:
		response.flash = 'Texto NÃO enviado :/'

	elif form.errors:
		response.flash = 'Texto NÃO amplificado :/'

	return dict(form=form)

@auth.requires_login()
def imagem():
	response.flash = 'Amplifique imagens!'

	form = SQLFORM(
		db.imagem,
		labels = {
			'autor':"Autor",
			'arquivo':"Imagem",
			'fonte':"Fonte",
			'licenca':"Licença",
		},
		col3 = {
			'autor':"O autor deve ser o usuário cadastrado no site",
			'arquivo':"Envie conteúdo próprio conforme as diretrizes do site. Não envie material protegido por leis de direitos autorais - pelo menos não aqui ;)",
			'fonte':"Opcional. Diga de onde veio esta imagem. Pode ser um link ou uma descrição em texto.",
			'licenca':"Entenda mais as licenças disponíveis no "+XML(A(SPAN('site do Creative Commons'), _href='http://creativecommons.org/licenses/?lang=pt_BR', _target='_blank')),
		},
		submit_button = 'Enviar',
		table_name = 'imagem',
	).process(next=URL('imagem'))

	if form.process().accepted:
		response.flash = 'Imagem enviada!'
	elif form.errors:
		response.flash = 'Imagem NÃO enviada :/'

	elif form.errors:
		response.flash = 'Imagem NÃO amplificada :/'

	return dict(form=form)

def user():
	return dict(form=auth())

@cache.action()
def download():
	return response.download(request, db)

def call():
	return service()


